intelliJ 项目迁移到 Java 17

JetBrains 博客显示: IntelliJ 项目的源代码最近迁移到了 Java 17

尽管仍然编译了一些模块与旧 Java 版本兼容,以支持在老版本 Java 下运行用户的项目。但现在大多数平台和插件模块都使用 Java 17,而即将推出的所有基于 IntelliJ 的 IDE2022.3 版本都需要 Java 17 才能启动。

intelliJ 项目迁移到 Java 17

对用户意味着什么

  • 如果你需要开发插件,则可以使用 Java 17 中的新语言功能和 API,但前提是 plugin.xml 中的属性设置为223
  • 如果你的插件分发需要在多个版本的 IDE 上运行,例如2022.32022.2,那么必须继续使用 Java 11。
  • 如果你要编译 intellij-community 项目,只需调用 Build Project 操作, IntelliJ IDEA 会建议自动下载 JetBrains Runtime 17 ,并将其设置为项目 JDK。

展开阅读全文
发表评论

相关文章